#### Previous topic

scipy.special.nbdtrik

#### Next topic

scipy.special.ncfdtr

# scipy.special.nbdtrin

`scipy.special.``nbdtrin`(k, y, p) = <ufunc 'nbdtrin'>

  Inverse of `nbdtr` vs n.

  Returns the inverse with respect to the parameter n of y = nbdtr(k, n, p), the negative binomial cumulative distribution function.

  Parameters:

  k : array_like

  > The maximum number of allowed failures (nonnegative int).

  y : array_like

  > The probability of k or fewer failures before n successes (float).

  p : array_like

  > Probability of success in a single event (float).

  Returns:

  n : ndarray

  > The number of successes n such that nbdtr(k, n, p) = y.

  See also

  `nbdtr`
    Cumulative distribution function of the negative binomial.
  `nbdtri`
    Inverse with respect to p of nbdtr(k, n, p).
  `nbdtrik`
    Inverse with respect to k of nbdtr(k, n, p).

  Notes

  Wrapper for the CDFLIB [R472] Fortran routine cdfnbn.

  Formula 26.5.26 of [R473],

  \[\sum_{j=k + 1}^\infty {{n + j - 1}\choose{j}} p^n (1 - p)^j = I_{1 - p}(k + 1, n),\]

  is used to reduce calculation of the cumulative distribution function to that of a regularized incomplete beta \(I\).

  Computation of n involves a seach for a value that produces the desired value of y. The search relies on the monotinicity of y with n.

  References

  [R472] | (1, 2) Barry Brown, James Lovato, and Kathy Russell, CDFLIB: Library of Fortran Routines for Cumulative Distribution Functions, Inverses, and Other Parameters.

  [R473] | (1, 2) Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.